
'use strict';
window.addEventListener( 'load', function( event )
 { 
    $.fn.datepicker.dates['en'] = {
        days: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
        daysShort: ["Dom", "Lun", "Mar", "Mier", "Jue", "Vier", "Sab"],
        daysMin: ["D", "L", "Ma", "Mi", "J", "V", "S"],
        months: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
        monthsShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
        today: "Today",
        clear: "Clear",

        weekStart: 0
    };

    $.datepicker.setDefaults($.datepicker.regional['en']);     
     var today = new Date();
    /* $(".date-picker").attr("data-date-end-date","today+2m");*/
     $(".date-picker").datepicker({
        isRTL: false,
        format: "dd-mm-yyyy",
       /* yearRange: "0000",*/
        viewMode: "months,days", 
        minViewMode: "months,days",
        autoclose: true,
                   
    });
    $('.date-picker').datepicker('setDate', 'today');
    $('#filtrarReportes').click(function(){
        
      $.fn.dataTable.ext.errMode = 'none';
      $('#reporte-cita').on('error.dt', function(e, settings, techNote, message) {
         console.log( 'An error has been reported by DataTables: ', message);
      });
      $('#reporte-cita').empty();
      
      $('#reporte-cita').unbind();
      
          var fechainicio = $('#fechainicio').val();
          var fechafin = $("#fechafin").val();
          var cabina = $('#cabina').val();
          var status = $("#status").val();
      
          console.log(fechainicio);
          console.log(fechafin);
          console.log(cabina);
          console.log(status);
      
      
      
          if( fechainicio != '' && fechafin != '' )
          {
            $('#modal-loader').modal();
                   
                  $.ajax({
                  url:base_url+"agenda/franquiciatario/listacitasF/buscarCitas",
                  type:'POST',
                  dataType: 'json',
                  data:{finicio : fechainicio, ffin : fechafin, cabina:cabina, status:status},
                  success:function(response){
                    $('#modal-loader').modal('hide');
                       console.log(response);
                      console.log("exito");
                      toastr.success('Se realizó tu busqueda se encontraron '+ response.length +' resultados').css("width","100%");
                      var columns = [
                          { "title":"Cliente" },
                          { "title":"Tratamiento" },
                          { "title":"Cabina" },
                          { "title":"Estado" },
                          { "title":"Fecha" },
                          { "title":"Hora inicio" },
                          { "title":"Hora fin" },
                          { "title":"observaciones" },
                          { "title":"Cosmetolog@" }
                      ];   
      
                       var hide = [
                              { targets: [0,1,2,3,4,5,6,7,8], visible: true},
                             /* { targets: [8], visible: false }*/
                          ];
                        
      
                    //   $("#reporte-cita").append('<tfoot class="dataFooter"><tr><th></th><th></th><th></th><th></th><th></th><th></th><th></th></tr></tfoot>'); 
                      $('#reporte-cita').DataTable( {
                          dom: 'T<"clear">Bfrtip',
                          responsive: true,
                          columnDefs: hide,
                          data: response,
                          columns: columns,
                          ServerSide: true,
                           destroy: true,
                           footer: false,
                           processing: true,
                           buttons: [
                          {
                              extend: 'print',
                              text:"IMPRIMIR",
                              footer: true,
                              /*messageTop: 'Reporte de Ventas',*/
                              title: '',
                              exportOptions: {
      
                               body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                                columns: [0,1,2,3,4,5,6,7,8]//son las columnas q quiero q se vean al exportarse          
      
                            },
                              customize: function ( win ) {
      
                                  $(win.document.body)
                                  .css( 'font-size', '8pt' )
                                  .prepend(
                                      '<div style="width: 100%; font-size:2em; text-align: center;">Reporte de citas</div>'
                                      );
      
                                  $(win.document.body).find( 'table' )
                                  .addClass( 'compact' )
                                  .css( 'font-size', 'inherit' );
                                  $(win.document.body).find( 'table' )
                                  .addClass( 'mayus' )
                                  .css( 'text-transform', 'uppercase' );
                                  $(win.document.body).find( 'table' )
                                  .css( 'margin-left', '3em');
                                  $(win.document.body).find( 'table' )
                                  .css('margin-right','3em' );
                              },
                              
                          },
                          {
                              
                              extend: 'pdf',
                              text:"PDF",
                              footer: true,
                              filename: 'Reporte de citas',
                              /*messageTop: 'Reporte de Ventas',*/
                              orientation: 'landscape',
                              pageSize: 'A4',
                              title: 'Reporte de citas',
                              key: { 
                                  key: 'e',
                                  altKey: false
                              },
        
                              exportOptions: {
      
                                  body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                                  footer: true,
                                  columns: [0,1,2,3,4,5,6,7,8],//son las columnas q quiero q se vean al exportarse 
                                  
      
                              },
                              
                              // body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                              customize: function ( doc ) {
                                doc.content[1].table.widths = ['10%','19%','10%','10%','10%','10%','10%','11%','10%'];
                                doc.defaultStyle.alignment = 'center';
                                
                              },
                          },
                          {
                              extend: 'excel',
                              text:"EXCEL",
                              footer: true,
                              filename: 'Reporte de citas',
                              title: 'Reporte de citas',
                              exportOptions: {
                                modifier: {
                                    alignment: 'center',
                                    page: 'all',                             
                                }
                                , body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                                footer: true,
                                columns: [0,1,2,3,4,5,6,7,8]//son las columnas q quiero q se vean al exportarse          
      
                            },
                              
                              
                          }
                          // 'copy', 'csv', 'excel',
                          ],
      
                          language: {
                            "lengthMenu": "Mostrar _MENU_ registros por pagina",
                            "zeroRecords": "No se encontraron resultados en su busqueda",
                            "searchPlaceholder": "Buscar registros",
                            "info": "Mostrando registros de _START_ al _END_ de un total de  _TOTAL_ registros",
                            "infoEmpty": "No existen registros",
                            "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                            "search": "Buscar:",
                            "paginate": {
                                "first": "Primero",
                                "last": "Último",
                                "next": "Siguiente",
                                "previous": "Anterior"
                            },
                        },
                           
                      });
                      $('#reporte-cita').wrap("<div id='scrooll_div' class='scrollbar-tabla' style='width: 100%;'></div>");
                      $('#scrooll_div').doubleScroll({
                            resetOnWindowResize: true
                          });
                      return false;
      
                  },//end success ajax response
                  error:function(xhr, textStatus, errorThrown, error){
                    console.log(xhr.responseText);
                      console.log("error");
                  },
      
                  });//end ajax
          return false;
      
      }//end fechainicio y fechafin vacia
      else{
           toastr.error("Hace falta una Fecha");
          console.log("error");
          return false;
      }
      });//end click
      $('#filtrarReportes').trigger( "click" );
 }); //Fin window.addEventListener
//  ---------------Funciones----------------
